# Uses of Class
org.eclipse.swt.graphics.Font

Packages that use Font
Package
Description
org.eclipse.compare.internal
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.e4.ui.dialogs.filteredtree
org.eclipse.jface.databinding.swt.typed
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.layout
Provides support for layout generation.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.widgets
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.ole.win32
SWT Win32 OLE implementation classes.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of Font in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type Font
Modifier and Type
Method
Description
`void`
MergeSourceViewer.`setFont(Font font)`

## Uses of Font in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers that return Font
Modifier and Type
Method
Description
`static Font`
CSSSWTFontHelper.`getFont(CSS2FontProperties fontProperties, FontData oldFontData, Display display)`
`static Font`
CSSSWTFontHelper.`getFont(CSS2FontProperties fontProperties, Control control)`
Get CSS2FontProperties from Font of JComponent and store CSS2FontProperties instance into ClientProperty of JComponent.
Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type Font
Modifier and Type
Method
Description
`static boolean`
CSSSWTFontHelper.`equals(Font f1, Font f2)`
On certain platforms, may have two font instances that actually are the same
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Font font)`
Build CSS2FontProperties from SWT Font.
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Font font, CSSElementContext context)`
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Widget widget, Font font, CSSElementContext context)`
Get CSS2FontProperties from Control stored into Data of Control.
`static FontData`
CSSSWTFontHelper.`getFirstFontData(Font font)`
Return first FontData from SWT Font.
`static String`
CSSSWTFontHelper.`getFontComposite(Font font)`
Return CSS Value font-family from SWT Font
`static String`
CSSSWTFontHelper.`getFontFamily(Font font)`
Return CSS Value font-family from SWT Font
`static String`
CSSSWTFontHelper.`getFontSize(Font font)`
Return CSS Value font-size from SWT Font
`static String`
CSSSWTFontHelper.`getFontStyle(Font font)`
Return CSS Value font-style from SWT Font
`static String`
CSSSWTFontHelper.`getFontWeight(Font font)`
Return CSS Value font-weight from Control Font
`static void`
CSSSWTFontHelper.`setFont(CTabItem item, Font font)`
Helper function to avoid setting fonts unnecessarily
`static void`
CSSSWTFontHelper.`setFont(Control control, Font font)`
Helper function to avoid setting fonts unnecessarily

## Uses of Font in org.eclipse.e4.ui.dialogs.filteredtree

Methods in org.eclipse.e4.ui.dialogs.filteredtree that return Font
Modifier and Type
Method
Description
`static Font`
FilteredTree.`getBoldFont(Object element, FilteredTree tree, PatternFilter filter)`
Return a bold font if the given element matches the given pattern.

## Uses of Font in org.eclipse.jface.databinding.swt.typed

Methods in org.eclipse.jface.databinding.swt.typed that return types with arguments of type Font
Modifier and Type
Method
Description
`static <S extends Control>
IWidgetValueProperty<S,Font>`
WidgetProperties.`font()`
Returns a value property for observing the font of a `Control`.

## Uses of Font in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return Font
Modifier and Type
Method
Description
`protected Font`
DialogPage.`getFont()`
Returns the default font to use for this dialog page.

## Uses of Font in org.eclipse.jface.layout

Constructors in org.eclipse.jface.layout with parameters of type Font
Modifier
Constructor
Description
``
`PixelConverter(Font font)`
Create a PixelConverter which will convert device-independent units to pixels using the specified font.

## Uses of Font in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference with parameters of type Font
Modifier and Type
Method
Description
`protected Composite`
PreferencePage.`createNoteComposite(Font font, Composite composite, String title, String message)`
Creates a composite with a highlighted Note entry and a message text.
`protected void`
PreferenceDialog.`updateTreeFont(Font dialogFont)`
Update the tree to use the specified `Font`.

## Uses of Font in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that return Font
Modifier and Type
Method
Description
`abstract Font`
FontDescriptor.`createFont(Device device)`
Creates the Font described by this descriptor.
`final Font`
ResourceManager.`createFont(FontDescriptor descriptor)`
Deprecated.
use `ResourceManager.create(DeviceResourceDescriptor)` instead
`Font`
FontRegistry.`defaultFont()`
Returns the default font data.
`Font`
FontRegistry.`get(String symbolicName)`
Returns the font associated with the given symbolic font name.
`static Font`
JFaceResources.`getBannerFont()`
Returns the JFace's banner font.
`Font`
FontRegistry.`getBold(String symbolicName)`
Returns the bold font associated with the given symbolic font name.
`static Font`
JFaceResources.`getDefaultFont()`
Returns JFace's standard font.
`static Font`
JFaceResources.`getDialogFont()`
Returns the JFace's dialog font.
`static Font`
JFaceResources.`getFont(String symbolicName)`
Returns the font in JFace's font registry with the given symbolic font name.
`static Font`
JFaceResources.`getHeaderFont()`
Returns the JFace's header font.
`Font`
FontRegistry.`getItalic(String symbolicName)`
Returns the italic font associated with the given symbolic font name.
`static Font`
JFaceResources.`getTextFont()`
Returns JFace's text font.
`static Font`
JFaceResources.`getViewerFont()`
Deprecated.
This font is not in use
Methods in org.eclipse.jface.resource with parameters of type Font
Modifier and Type
Method
Description
`static FontDescriptor`
FontDescriptor.`createFrom(Font font)`
Creates a FontDescriptor that describes an existing font.
`static FontDescriptor`
FontDescriptor.`createFrom(Font font, Device originalDevice)`
Deprecated.
use `FontDescriptor.createFrom(Font)`
`abstract void`
FontDescriptor.`destroyFont(Font previouslyCreatedFont)`
Deallocates anything that was allocated by createFont, given a font that was allocated by an equal FontDescriptor.

## Uses of Font in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return Font
Modifier and Type
Method
Description
`Font`
TextAttribute.`getFont()`
Returns the attribute's font.
Constructors in org.eclipse.jface.text with parameters of type Font
Modifier
Constructor
Description
``
`TextAttribute(Color foreground, Color background, int style, Font font)`
Creates a text attribute with the given colors and style.

## Uses of Font in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist that return Font
Modifier and Type
Method
Description
`Font`
BoldStylerProvider.`getBoldFont()`
Creates (if not already done) and returns the bold font used by the styler to apply the bold style.
`Font`
BoldStylerProvider.`getFont()`
Returns the font used by the styler to create the bold font.
Constructors in org.eclipse.jface.text.contentassist with parameters of type Font
Modifier
Constructor
Description
``
`BoldStylerProvider(Font font)`
Creates a `BoldStylerProvider` instance which uses the given `font`.

## Uses of Font in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return Font
Modifier and Type
Method
Description
`protected final Font`
AbstractRulerColumn.`getFont()`
Returns the current font.
Methods in org.eclipse.jface.text.source with parameters of type Font
Modifier and Type
Method
Description
`final void`
AbstractRulerColumn.`setFont(Font font)`
Sets the font of this ruler column.
`void`
AnnotationRulerColumn.`setFont(Font font)`
`void`
ChangeRulerColumn.`setFont(Font font)`
`void`
CompositeRuler.`setFont(Font font)`
`void`
IVerticalRulerColumn.`setFont(Font font)`
Sets the font of this ruler column.
`void`
IVerticalRulerExtension.`setFont(Font font)`
Sets the font of this vertical ruler.
`void`
LineNumberRulerColumn.`setFont(Font font)`
`void`
VerticalRuler.`setFont(Font font)`

## Uses of Font in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Font
Modifier and Type
Method
Description
`Font`
IFontDecorator.`decorateFont(Object element)`
Return the font for element or `null` if there is not one.
`Font`
BoldStylerProvider.`getBoldFont()`
Creates (if not already done) and returns the bold font used by the styler to apply the bold style.
`Font`
BoldStylerProvider.`getFont()`
Returns the font used by the styler to create the bold font.
`Font`
ColumnLabelProvider.`getFont(Object element)`
`Font`
DecoratingLabelProvider.`getFont(Object element)`
`Font`
DecoratingStyledCellLabelProvider.`getFont(Object element)`
`Font`
DelegatingStyledCellLabelProvider.`getFont(Object element)`
Provides a font for the given element.
`Font`
IFontProvider.`getFont(Object element)`
Provides a font for the given element.
`Font`
ITableFontProvider.`getFont(Object element, int columnIndex)`
Provides a font for the given element at index columnIndex.
`Font`
TableViewerRow.`getFont(int columnIndex)`
`Font`
TreeViewerRow.`getFont(int columnIndex)`
`Font`
ViewerCell.`getFont()`
Gets the font of the cell.
`Font`
ViewerLabel.`getFont()`
Get the font.
`abstract Font`
ViewerRow.`getFont(int columnIndex)`
Get the font at the columnIndex.
`Font`
CellLabelProvider.`getToolTipFont(Object object)`
Get the `Font` used to display the tool tip
Methods in org.eclipse.jface.viewers with parameters of type Font
Modifier and Type
Method
Description
`void`
IDecoration.`setFont(Font font)`
Set the font for this decoration.
`void`
StructuredViewer.ColorAndFontCollector.`setFont(Font font)`
Set the font.
`void`
TableViewerRow.`setFont(int columnIndex, Font font)`
`void`
TreeViewerRow.`setFont(int columnIndex, Font font)`
`void`
ViewerCell.`setFont(Font font)`
Set the font of the cell.
`void`
ViewerLabel.`setFont(Font font)`
Set the font.
`abstract void`
ViewerRow.`setFont(int columnIndex, Font font)`
Set the `Font` at the columnIndex.
Constructors in org.eclipse.jface.viewers with parameters of type Font
Modifier
Constructor
Description
``
`BoldStylerProvider(Font font)`
Creates a `BoldStylerProvider` instance which uses the given `font`.

## Uses of Font in org.eclipse.jface.widgets

Methods in org.eclipse.jface.widgets with parameters of type Font
Modifier and Type
Method
Description
`F`
AbstractControlFactory.`font(Font font)`
Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.

## Uses of Font in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return Font
Modifier and Type
Method
Description
`protected Font`
ApplicationWindow.`getFont()`
Returns the default font used for this window.
`protected Font`
DefaultToolTip.`getFont(Event event)`
The `Font` used by `CLabel` in the default implementation
Methods in org.eclipse.jface.window with parameters of type Font
Modifier and Type
Method
Description
`void`
DefaultToolTip.`setFont(Font font)`
The `Font` used by `CLabel` in the default implementation

## Uses of Font in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard with parameters of type Font
Modifier and Type
Method
Description
`void`
ProgressMonitorPart.`setFont(Font font)`

## Uses of Font in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return Font
Modifier and Type
Method
Description
`Font`
CTabItem.`getFont()`
Returns the font that the receiver will use to paint textual information.
`Font`
PopupList.`getFont()`
Gets the widget font.
Methods in org.eclipse.swt.custom with parameters of type Font
Modifier and Type
Method
Description
`void`
CCombo.`setFont(Font font)`
`void`
CLabel.`setFont(Font font)`
`void`
CTabFolder.`setFont(Font font)`
`void`
CTabItem.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
PopupList.`setFont(Font font)`
Sets the widget font.
`void`
StyledText.`setFont(Font font)`
Sets a new font to render text with.

## Uses of Font in org.eclipse.swt.graphics

Fields in org.eclipse.swt.graphics declared as Font
Modifier and Type
Field
Description
`Font`
GCData.`font`
`Font`
TextStyle.`font`
the font of the style
Methods in org.eclipse.swt.graphics that return Font
Modifier and Type
Method
Description
`Font`
GC.`getFont()`
Returns the font currently being used by the receiver to draw and measure text.
`Font`
TextLayout.`getFont()`
Returns the default font currently being used by the receiver to draw and measure text.
`Font`
Device.`getSystemFont()`
Returns a reasonable font for applications to use.
`static Font`
Font.`win32_new(Device device, long handle)`
Invokes platform specific functionality to allocate a new font.
Methods in org.eclipse.swt.graphics with parameters of type Font
Modifier and Type
Method
Description
`void`
Path.`addString(String string, float x, float y, Font font)`
Adds to the receiver the pattern of glyphs generated by drawing the given string using the given font starting at the point (x, y).
`void`
GC.`setFont(Font font)`
Sets the font which will be used by the receiver to draw and measure text to the argument.
`void`
TextLayout.`setFont(Font font)`
Sets the default font which will be used by the receiver to draw and measure text.
Constructors in org.eclipse.swt.graphics with parameters of type Font
Modifier
Constructor
Description
``
`TextStyle(Font font, Color foreground, Color background)`
Create a new text style with the specified font, foreground and background.

## Uses of Font in org.eclipse.swt.ole.win32

Methods in org.eclipse.swt.ole.win32 that return Font
Modifier and Type
Method
Description
`Font`
OleControlSite.`getFont()`
Methods in org.eclipse.swt.ole.win32 with parameters of type Font
Modifier and Type
Method
Description
`void`
OleControlSite.`setFont(Font font)`

## Uses of Font in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Font
Modifier and Type
Method
Description
`Font`
Caret.`getFont()`
Returns the font that the receiver will use to paint textual information.
`Font`
Control.`getFont()`
Returns the font that the receiver will use to paint textual information.
`Font`
TableItem.`getFont()`
Returns the font that the receiver will use to paint textual information for this item.
`Font`
TableItem.`getFont(int index)`
Returns the font that the receiver will use to paint textual information for the specified cell in this item.
`Font`
TreeItem.`getFont()`
Returns the font that the receiver will use to paint textual information for this item.
`Font`
TreeItem.`getFont(int index)`
Returns the font that the receiver will use to paint textual information for the specified cell in this item.
`Font`
Display.`getSystemFont()`
Returns a reasonable font for applications to use.
Methods in org.eclipse.swt.widgets with parameters of type Font
Modifier and Type
Method
Description
`void`
Canvas.`setFont(Font font)`
`void`
Caret.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
Combo.`setFont(Font font)`
`void`
Control.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
ExpandBar.`setFont(Font font)`
`void`
Group.`setFont(Font font)`
`void`
List.`setFont(Font font)`
`void`
TabFolder.`setFont(Font font)`
`void`
Table.`setFont(Font font)`
`void`
TableItem.`setFont(int index, Font font)`
Sets the font that the receiver will use to paint textual information for the specified cell in this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
TableItem.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
Text.`setFont(Font font)`
`void`
ToolBar.`setFont(Font font)`
`void`
Tree.`setFont(Font font)`
`void`
TreeItem.`setFont(int index, Font font)`
Sets the font that the receiver will use to paint textual information for the specified cell in this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void`
TreeItem.`setFont(Font font)`
Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.

## Uses of Font in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return Font
Modifier and Type
Method
Description
`Font`
AbstractSynchronizeLabelProvider.`getFont(Object element)`
Method that provides a custom font for elements that are busy.

## Uses of Font in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return Font
Modifier and Type
Method
Description
`Font`
TextConsole.`getFont()`
Returns the font used by this console.
Methods in org.eclipse.ui.console with parameters of type Font
Modifier and Type
Method
Description
`void`
TextConsole.`setFont(Font newFont)`
Sets the font used by this console.
`void`
TextConsoleViewer.`setFont(Font font)`
Sets the font used by this viewer.

## Uses of Font in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return Font
Modifier and Type
Method
Description
`static Font`
FilteredTree.`getBoldFont(Object element, FilteredTree tree, PatternFilter filter)`
Return a bold font if the given element matches the given pattern.

## Uses of Font in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets with parameters of type Font
Modifier and Type
Method
Description
`void`
ExpandableComposite.`setFont(Font font)`
Sets the fonts of all the custom controls in the expandable.
`void`
Form.`setFont(Font font)`
Sets the font of the header text.
`void`
FormText.`setFont(String key, Font font)`
Registers the font referenced by the provided key.
`void`
FormText.`setFont(Font font)`
Sets the font to use to render the default text (text that does not have special font property assigned).
`void`
SharedScrolledComposite.`setFont(Font font)`
Sets the font of the form.

## Uses of Font in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return Font
Modifier and Type
Method
Description
`Font`
WorkbenchLabelProvider.`getFont(Object element)`

## Uses of Font in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties that return Font
Modifier and Type
Method
Description
`protected Font`
PropertySheetEntry.`getFont()`
Returns the font for the entry.